curl --request POST \
--url https://api.arize.com/v2/annotation-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Accuracy",
"space_id": "space_12345",
"annotation_config_type": "CATEGORICAL",
"values": [
{
"label": "accurate",
"score": 1
},
{
"label": "inaccurate",
"score": 0
}
],
"optimization_direction": "MAXIMIZE"
}
'import requests
url = "https://api.arize.com/v2/annotation-configs"
payload = {
"name": "Accuracy",
"space_id": "space_12345",
"annotation_config_type": "CATEGORICAL",
"values": [
{
"label": "accurate",
"score": 1
},
{
"label": "inaccurate",
"score": 0
}
],
"optimization_direction": "MAXIMIZE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Accuracy',
space_id: 'space_12345',
annotation_config_type: 'CATEGORICAL',
values: [{label: 'accurate', score: 1}, {label: 'inaccurate', score: 0}],
optimization_direction: 'MAXIMIZE'
})
};
fetch('https://api.arize.com/v2/annotation-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "QW5ub3RhdGlvbkNvbmZpZzoxMjM0NQ==",
"name": "quality-v2",
"space_id": "space_12345",
"type": "CATEGORICAL",
"values": [
{
"label": "good",
"score": 1
},
{
"label": "bad",
"score": 0
}
],
"optimization_direction": "MAXIMIZE",
"created_at": "2024-01-01T00:00:00Z"
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 409,
"title": "Resource conflict",
"detail": "A resource with the given identifier already exists.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-conflict"
}{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Create an annotation config
Create a new annotation config.
Payload Requirements
- The annotation config name must be unique within the given space.
Valid example
{
"name": "my-annotation-config",
"space_id": "spc_123",
"annotation_config_type": "CATEGORICAL",
"values": [
{
"label": "value1",
"score": 0
},
{
"label": "value2",
"score": 1
}
],
"optimization_direction": "MAXIMIZE"
}
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Body
Body containing annotation config creation parameters
- Option 1
- Option 2
- Option 3
Name of the new annotation config
ID of the space the annotation config will belong to
The type of annotation config:
- CONTINUOUS: a numeric score within a defined range
- CATEGORICAL: a set of labeled values each with an optional score
- FREEFORM: free-text annotation with no structured scoring
CONTINUOUS The minimum score value
The maximum score value
Direction for optimization. Defaults to NONE when omitted.
MAXIMIZE, MINIMIZE, NONE Response
An annotation config object
- Option 1
- Option 2
- Option 3
The unique identifier for the annotation config
The name of the annotation config
The timestamp for when the annotation config was created
The space id the annotation config belongs to
Discriminator value identifying a continuous annotation config.
CONTINUOUS The minimum score value
The maximum score value
Direction for optimization. When absent, the server treats the value as NONE.
MAXIMIZE, MINIMIZE, NONE Was this page helpful?